package com.ruoyi.dxp.mapper;

import java.util.List;
import com.ruoyi.dxp.domain.DataShare;

/**
 * 共享数据Mapper接口
 * 
 * @author jy
 * @date 2022-11-21
 */
public interface DataShareMapper 
{
    /**
     * 查询共享数据
     * 
     * @param id 共享数据主键
     * @return 共享数据
     */
    public DataShare selectDataShareById(Long id);

    /**
     * 查询共享数据列表
     * 
     * @param dataShare 共享数据
     * @return 共享数据集合
     */
    public List<DataShare> selectDataShareList(DataShare dataShare);

    /**
     * 查询热门共享数据列表
     *
     * @param dataShare 共享数据
     * @return 共享数据集合
     */
    public List<DataShare> selectHotDataShareList(DataShare dataShare);

    /**
     * 新增共享数据
     * 
     * @param dataShare 共享数据
     * @return 结果
     */
    public int insertDataShare(DataShare dataShare);

    /**
     * 修改共享数据
     * 
     * @param dataShare 共享数据
     * @return 结果
     */
    public int updateDataShare(DataShare dataShare);

    /**
     * 删除共享数据
     * 
     * @param id 共享数据主键
     * @return 结果
     */
    public int deleteDataShareById(Long id);

    /**
     * 批量删除共享数据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDataShareByIds(Long[] ids);
}
